export default [
	// 财务管理
	{
		path: '/financial',
		name: 'Financial',
		redirect: '/financial/bill-user',
		meta: {
			icon: 'mdi:finance',
			title: 'financialmanagement',
		},
		children: [
			// 账单查询
			{
				path: '/financial/bill-user',
				name: 'Bill',
				component: () => import('@/views/financial-user/bill-user/index.vue'),
				meta: {
					icon: 'grommet-icons:money',
					title: 'billManagement',
				},
			},
			// 用户分类
			{
				path: '/financial/category-user',
				name: 'CategoryUser',
				component: () => import('@/views/financial-user/category-user/index.vue'),
				meta: {
					icon: 'iconamoon:category',
					title: 'categoryUserManagement',
				},
			},
		],
	},
	// // 预算和储值
	// {
	// 	path: '/budgetSavings',
	// 	name: 'BudgetSavings',
	// 	redirect: '/budgetSavings/budgetCategory',
	// 	meta: {
	// 		icon: 'arcticons:budgetbakers-wallet',
	// 		title: 'budgetSavings',
	// 	},
	// 	children: [
	// 		// 预算分类
	// 		{
	// 			path: '/budgetSavings/budgetCategory',
	// 			name: 'budgetCategory',
	// 			component: () => import('@/views/financial/budgetCategory/index.vue'),
	// 			meta: {
	// 				icon: 'simple-icons:actualbudget',
	// 				title: 'budgetCategory',
	// 			},
	// 		},
	// 		// 预算储值
	// 		{
	// 			path: '/budgetSavings/savingGoal',
	// 			name: 'savingGoal',
	// 			component: () => import('@/views/financial/savingGoal/index.vue'),
	// 			meta: {
	// 				icon: 'fluent:savings-16-regular',
	// 				title: 'savingGoal',
	// 			},
	// 		},
	// 	],
	// },
	// // 账务管理
	// {
	// 	path: '/debtManagement',
	// 	name: 'DebtManagement',
	// 	redirect: '/debtManagement/debtRepaymentPlan',
	// 	meta: {
	// 		icon: 'arcticons:debtcalc',
	// 		title: 'debtManagement',
	// 	},
	// 	children: [
	// 		// 债务还款计划
	// 		{
	// 			path: '/debtManagement/debtRepaymentPlan',
	// 			name: 'debtRepaymentPlan',
	// 			component: () => import('@/views/financial/debtRepaymentPlan/index.vue'),
	// 			meta: {
	// 				icon: 'stash:plan-light',
	// 				title: 'debtRepaymentPlan',
	// 			},
	// 		},
	// 		// 债务追踪
	// 		{
	// 			path: '/debtManagement/debtTracking',
	// 			name: 'debtTracking',
	// 			component: () => import('@/views/financial/debtTracking/index.vue'),
	// 			meta: {
	// 				icon: 'ic:outline-spatial-tracking',
	// 				title: 'debtTracking',
	// 			},
	// 		},
	// 	],
	// },
] satisfies Array<RouteConfigsTable>;
